@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;700&display=swap');

@import url('https://fonts.cdnfonts.com/css/guardian-sans');

                
:root{
  --black:#2c2c54;
  --orange:#ff9f1a;
}
*{
  font-family: 'Guardian Sans', sans-serif , 'Arial', sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  text-decoration: none;
  border: none;
  text-transform: none;
  transition:all .3s linear ;
  -webkit-transition:all .3s linear ;
  -moz-transition:all .3s linear ;
  -ms-transition:all .3s linear ;
  -o-transition:all .3s linear ;
}
html{
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-padding-top: 6rem;
  scroll-behavior: smooth;
}
section{
  padding: 2rem 9%;
}
/* Css Pour le top Bar */

.top-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 20px;
  background-color: #333;
  color: #fff;
  text-align: center;
  line-height: 9px;
  transition: top 0.3s;
  z-index: 1000;
  font-size: 14px;
  align-items: center; /* Centrer le contenu verticalement */
  display: flex;
  padding: 10px 0; /* Espacement interne */
  overflow: hidden; /* Empêche le contenu de dépasser de la zone visible */
}

 /* CSS pour le contenu de la top bar */
 .top-bar .content {
  animation: scrollText 19s linear infinite; /* Animation de défilement du texte */
}

/* Animation de défilement du texte */
@keyframes scrollText {
  0% {
    transform: translateX(100%); /* Déplacer le texte à l'extrémité droite */
  }
  100% {
    transform: translateX(-100%); /* Déplacer le texte à l'extrémité gauche */
  }
}
.hidden {
  top: -50px;  } /*!important;  */
  
 
  




  
/* Css Pour le top Bar */
.heading{
  text-align: center;
  text-transform: uppercase;
  font-size: 4rem;
  color: var(--black);
  padding: 1rem;
}
.heading span{
  text-transform: uppercase;
  color: var(--orange);
}
.btn{
  display: inline-block;
  margin-top: 1rem;
  border-radius: .5rem;
  -webkit-border-radius: .5rem;
  -moz-border-radius: .5rem;
  -ms-border-radius: .5rem;
  -o-border-radius: .5rem;
  border: .2rem solid var(--black);
  font-weight: bolder;
  font-size: 1.7rem;
  color: var(--black);
  cursor: pointer;
  background: #fff;
  padding: .8rem 3rem;
}
.btn:hover{
  background: var(--orange);
  color: #fff;
}
/* 
=============>header section starts
*/
header{
  position: fixed;
  top: 20px;left: 0;right: 0;
  z-index: 1000;
  background-color: #fff;
  padding: 2rem 9%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
  
}
header .logo{
  font-size: 2.5rem;
  color: var(--black);
}

header .navbar a{
  font-size: 1.7rem;
  color: var(--black);
  margin: 0 1rem;
}
header .navbar a:hover{
  color: var(--orange);
}

header .icons a{
  font-size: 2rem;
  color: var(--black);
  margin-left:1.6rem;
}
header .icons a:hover{
  color: var(--orange);
}
#menu-bar{
  font-size: 2.5rem;
  padding: .5rem 1.5rem;
  border: .1rem solid var(--black);
  color: var(--black);
  cursor: pointer;
  border-radius: 0.5rem;
  -webkit-border-radius: 0.5rem;
  -moz-border-radius: 0.5rem;
  -ms-border-radius: 0.5rem;
  -o-border-radius: 0.5rem;
  display: none;
}

/* 
=============>header section ends
*/





/* 
=============>home section starts
*/
.home{
  padding: 0;
  position: relative;
}
.home .slide-container .slide{
  min-height: 100vh;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding: 0 9%;
  padding-top: 9rem;
}

.home .slide-container .slide .content {
  flex: 1 1 40rem ;
  animation: slideContent .5s linear 1s backwards;
  -webkit-animation: slideContent .5s linear 1s backwards;
}
@keyframes slideContent {
  0%{
    opacity: 0;
    transform: translateX(-10rem);
    -webkit-transform: translateX(-10rem);
    -moz-transform: translateX(-10rem);
    -ms-transform: translateX(-10rem);
    -o-transform: translateX(-10rem);
}
}
.home .slide-container .slide .image {
  flex: 1 1 50rem ;
  padding-bottom: 15rem;
  position: relative;
  z-index: 0;
}
.home .slide-container .slide .image .shoe{
  width: 100%;
  transform: rotate(-35deg);
  -webkit-transform: rotate(-35deg);
  -moz-transform: rotate(-35deg);
  -ms-transform: rotate(-35deg);
  -o-transform: rotate(-35deg);
  animation: shoe .3s linear;
  -webkit-animation: shoe .3s linear;
}
@keyframes shoe {
  0%{
    transform: rotate(0deg) scale(.5);
    -webkit-transform: rotate(0deg) scale(.5);
    -moz-transform: rotate(0deg) scale(.5);
    -ms-transform: rotate(0deg) scale(.5);
    -o-transform: rotate(0deg) scale(.5);
}
}
.home .slide-container .slide .image .text{
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  animation: shoeText .5s linear .5s backwards;
  -webkit-animation: shoeText .5s linear .5s backwards;
}
@keyframes shoeText {
  0%{
    opacity: 0;
    top: -10rem;
  }
}

.home .slide-container .slide .content span{
  font-size: 2rem;
  color: var(--orange);
}

.home .slide-container .slide .content h3{
  font-size: 5rem;
  color: var(--black);
}
.home .slide-container .slide .content p{
  font-size: 1.7rem;
  color: #666;
  padding:.5rem 0;
}

.home .slide-container:nth-child(1) .slide{
  background-image: url("../img/home-bg-1.jpg") ;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}


.home .slide-container:nth-child(2) .slide{
  background-image: url("../img/home-bg-2.jpg") ;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
.home .slide-container:nth-child(3) .slide{
  background-image: url("../img/home-bg-3.jpg") ;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.home .slide-container{
  display: none;
}
.home .slide-container.active{
  display: block;
}

.home #prev , .home #next{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  z-index: 100;
  width: 5rem;
  height: 5rem;
  line-height: 4.5rem;
  font-size: 2rem;
  color: var(--black);
  border: .2rem solid var(--black);
  cursor: pointer;
  text-align: center;
}

.home #prev:hover , .home #next:hover{
  background-color: var(--orange);
  color: #fff;
}


.home #prev{
  left: 3rem;
}
.home #next{
  right: 3rem;
}


/* 
=============>home section ends 
*/


/* 
=============>service section starts
*/
/* 
.service .box-container{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  background: #f9f9f9;
  border: .1rem solid rgba(0, 0, 0, .1);
  border-radius:.5rem ;
  -webkit-border-radius:.5rem ;
  -moz-border-radius:.5rem ;
  -ms-border-radius:.5rem ;
  -o-border-radius:.5rem ;
  padding: 2rem;
}
.service .box-container .box{
  text-align: center;
  flex: 1 1 30rem;
}

.service .box-container .box i{
  font-size: 4rem;
  color: var(--orange);
}
.service .box-container .box h3{
  font-size: 2rem;
  color: var(--black);
  padding-top: 1rem;
}
.service .box-container .box p{
  font-size:1.5rem;
  color: #666;
  padding-top: 1rem 0;
}



=============>service section ends
*/
/* CSS pour rendre le titre "Blog" réactif */
.heading {
  font-size: 3vw; /* Taille du texte en fonction de la largeur de la vue */
  text-align: center; /* Centrer le titre */
}
.blog-post{
  margin: 0 80px; /* Ajoute 20 pixels d'espace à gauche et à droite */
  display: flex;
  flex-direction: row;
  align-items: center; /* Centrer les éléments horizontalement */
  padding: 0 20px; /* Espacement à gauche et à droite */
}

/* image de la liste blog et non pas sujet image avec hover pour animation */
.image_bloglist img{
  transition: transform 0.3s;
  flex: 0 0 auto;
  width: 100%; /* Pour que l'image occupe toute la largeur du conteneur */
  height: auto; /* Pour conserver le rapport hauteur/largeur */
  max-width: 300px; /* Largeur maximale de l'image */
  max-height: 350px;
}
.image_bloglist img:hover {
  transform: scale(1.1); /* Zoom de 20% lorsqu'on survole l'image */
}

/* CSS pour rendre le contenu du blog flexible */
.content1 {
  flex: 1 1 auto; /* Pour que le contenu occupe tout l'espace restant */
  font-size: 1.5vw; /* Taille du texte en fonction de la largeur de la vue */
  text-align: center; /* Centrer le contenu */
  max-width: 700px; /* Limite la largeur maximale du contenu */
  margin: 0 auto; /* Centre le contenu horizontalement */
}


.content1 h2{
  color: black;
  margin-top: 0;
  margin-bottom: 20px;
  font-size: 24px;
}
.content1 h2:hover {
  color: #878787; /* Grey lighten */
}
.content1 p {
  font-size: 16px;
  line-height: 1.5;
  
}
.content1 p a{
  color: #152238;
}

/* Media Query pour les écrans de petite taille */
@media only screen and (max-width: 430px) {
  .image_bloglist img {
    max-width: 250px; /* Augmente la taille de l'image pour les écrans plus petits */
  max-height: 200px;
  display: none;
  }

}
/* 
==============================>products section starts
*/
.products {
  /* Ajoutez ces propriétés pour utiliser Flexbox */
  display: flex;
  flex-direction: column; /* Affiche les boîtes en colonne */
  /* Définir une hauteur minimale pour la section */
  min-height: 100vh; /* 100% de la hauteur de la fenêtre */
  
  
}
/* Assurez-vous que le corps et le conteneur principal s'agrandissent en fonction du contenu */
body, .container {
  display: flex;
  flex-direction: column;
  min-height: 100vh; /* Assurez-vous que le conteneur occupe au moins toute la hauteur de l'écran */
}
/* Ajustez le conteneur de la section "products" pour qu'il s'agrandisse en fonction du contenu */
.products {
  flex-grow: 1;
}
.box{
  background-color: inherit; /* Use the same background color as the container */
  

}
/* Laissez le reste de votre CSS inchangé */
.products .box-container {
  display: flex;
  flex-wrap: wrap; /* Permet aux boîtes de passer à la ligne */
  gap: 1.5rem;
}

.products .box-container .box {
  border: .1rem solid rgba(0, 0, 0, .1);
  border-radius: .5rem;
  -webkit-border-radius: .5rem;
  -moz-border-radius: .5rem;
  -ms-border-radius: .5rem;
  -o-border-radius: .5rem;
  text-align: center;
  position: relative;
  overflow: hidden;
  background: #f9f9f9;
  
  flex: 1 1 30rem;
  /* Ajoute un espace en bas de chaque boîte  margin-bottom: 1.5rem; */
}

.box img{
  height: 300px;
  width: 200px;
  transition: transform 0.3s;
  
}
.box img:hover {
  transform: scale(1.1); /* Zoom de 20% lorsqu'on survole l'image */
}
.box-container{
  border: 1px solid transparent; /* Correction ici */
  transition: border-color 0.3s; /* Transition fluide pour le changement de couleur */
}
.box-container:hover{
  border-color: black; /* Changement de couleur de la bordure au survol */
}
/* Ensure that the PayPal button fits within the box */
.box-container .content {
  padding-bottom: 50px; /* Adjust this value to make space for the PayPal button */
}
.sale-tag {
  background-color: #ff0000; /* Red background color */
  color: #ffffff; /* White text color */
  padding: 3px 6px; /* Padding around the text */
  border-radius: 3px; /* Rounded corners */
  position: absolute; /* Position it relative to the content */
  top: 10px; /* Adjust the vertical position */
  right: 365px; /* Adjust the horizontal position U Have To change Position After Adding One Ebook And 10 px When adding third and let it 10 px because it's work*/
  font-size: 12px; /* Adjust the font size */
}
.content h3{
  font-size: 20px;
  
}
.sale-tag del {
  text-decoration: line-through; /* Add a line through the text */
}
/* Style for the modal */

/* Modal CSS */

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}
.modal-content input{
  text-transform: none;
}
/* Close button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
/* Additional styling for the PayPal button */
#paypal-container-53ZRLBXQMM52G {
  margin-top: 20px; /* Add some space above the PayPal button */
  display: none;
}

/* Leave the rest of your CSS unchanged */
/* 
==============================>products section endes
*/


/* 
===========================>featured section starts
*/
.featured .row{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  border: .1rem solid rgba(0, 0, 0, .1);
  border-radius: .5rem;
  -webkit-border-radius: .5rem;
  -moz-border-radius: .5rem;
  -ms-border-radius: .5rem;
  -o-border-radius: .5rem;
  background: #f9f9f9;
  padding: 2rem;
  align-items: center;
  margin: 1.5rem 0;
}
.featured .row .content{
  flex: 1 40rem;
}
.featured .row .image-container{
  display: flex;
  gap: 1.5rem;
  align-items: center;
  flex: 1 50rem;
}
.featured .row .image-container .small-image{
  width: 20%;
}
.featured .row  .image-container .big-image{
  width: 80%;
  padding: 1rem;
}
.featured .row .image-container .small-image img{
  width: 100%;
  padding: 1rem;
  border: .1rem solid rgba(0, 0, 0, .3);
  cursor: pointer;
}
.featured .row .image-container .small-image img:hover{
  background: #ccc;
}
.featured .row  .image-container .big-image img{
  width: 100%;
}



.featured .row  .image-container .big-image img:hover{
  transform: scale(1.05);
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(1.05);
  -o-transform: scale(1.05);
}


.featured .row .content h3{
  font-size: 2.5rem;
  color: var(--black);
}


.featured .row .content .stars i{
  font-size: 1.7rem;
  color: var(--orange);
  padding: .5rem 0;
}

.featured .row .content p{
  font-size: 1.5rem;
  color: #999;
  padding: 1rem 0;
}


.featured .row .content .price{
  font-size: 2.5rem;
  color: var(--black);
  font-weight: bolder;
}

.featured .row .content .price span{
  font-size: 1.5rem;
  color: var(--orange);
  text-decoration: underline;
}

/* 
===========================>featured section endes
*/


/* 
==============================>review section starts
*/

.review .box-container{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.review .box-container .box{
  flex: 1 1 30rem;
  text-align: center;
  border: .1rem solid rgba(0, 0, 0, .1);
  border-radius: .5rem;
  -webkit-border-radius: .5rem;
  -moz-border-radius: .5rem;
  -ms-border-radius: .5rem;
  -o-border-radius: .5rem;
  background: #f9f9f9;
  padding: 2rem;
}

.review .box-container .box img {
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  object-fit: cover;
  height: 15rem;
  width: 15rem;
  margin: 1rem 0;
}

.review .box-container .box h3{
  font-size: 2.5rem;
  color: var(--black);
}

.review .box-container .box p{
  font-size: 1.6rem;
  color: #666;
  padding: 1rem 0;
}

.review .box-container .box .stars i{
  color: var(--orange);
  font-size: 2rem;
}

/* 
====================>newsletter section starts 
*/
.newsletter{
  padding-top: .5rem;
  padding-bottom: .5rem;
}
.newsletter .content{
  text-align: center;
  border: .1rem solid rgba(0, 0, 0, .1);
  border-radius: .5rem;
  -webkit-border-radius: .5rem;
  -moz-border-radius: .5rem;
  -ms-border-radius: .5rem;
  -o-border-radius: .5rem;
  background: #f9f9f9;
  padding: 2rem;
}
.newsletter .content h3{
  font-size: 2.5rem;
  color: var(--black);
}


.newsletter .content p{
  font-size: 1.5rem;
  color: #666;
  margin: 1rem auto;
  max-width: 60rem;
}

.newsletter .content form{
  margin: 1rem auto;
  max-width: 50rem;
  display: flex;
}
.newsletter .content form .box{
  width: 100%;
  font-size: 1.7rem;
  text-transform: none;
  color: #333;
  padding: 1rem ;
  border: .2rem solid var(--black);
  border-right: none;
  margin-top: 1rem;
}

.newsletter .content form .btn{
  border-radius: 0;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
}


/* 
=========================== newsletter section ends
*/
/*====================>Blog parts */
.blog-post {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  padding: 5px;
  border: 1px solid transparent;
  transition: border-color 0.3s; /* Transition fluide pour le changement de couleur */
  border-radius: 5px;
  background-color: #f9f9f9;
  
}
.blog-post:hover {
  border-color: black; /* Changement de couleur de la bordure au survol */
}

.image {
  flex: 0 0 auto;
  margin-right: 20px;
}

.image img {
  max-width: 100%;
  height: auto;
  border-radius: 5px;
}

.content {
  flex: 1 1 auto;
}
.content p a{
  color: #152238;
  font-weight:bolder;
}
.content form {
  align-items: center;
  margin-top: 10px;
}
.content h2 {
  margin-top: 0;
  margin-bottom: 3px;
  font-size: 20x;
}

.content p {
  font-size: 16px; 
  line-height: 1.5;
}
.heading{
  padding-top: 40px; /* Ajustez la valeur en fonction de la hauteur de votre barre de navigation */
  text-align: center; /* Centrer le texte Adapter a tout les appareil Cr */
  width: 100%; /* Largeur maximale */
  max-width: 1200px; /* Largeur maximale de 1200px */
  margin: 0 auto; /* Centrer le bloc */
  font-size: 24px;
}

/*====================>Contenus blogs      */
.subjectblogsection {
  display: flex;
  flex-direction: column; /* Inverse l'ordre des éléments lorsque l'écran est petit */
}
.blog-title {
  text-align: center; /* Centrer le texte Adapter a tout les appareil Cr */
  width: 100%; /* Largeur maximale */
  max-width: 1200px; /* Largeur maximale de 1200px */
  margin: 0 auto; /* Centrer le bloc */
  padding-bottom:10px; /* Le padding botom m'a laisser un espace en dessous meme quand je reduit la taille de l'ecran , l'espace reste au contraire du margin, Ftr m */
  font-family: 'Arial', sans-serif; /* Use a professional sans-serif font */
  font-size: 36px; /* Set the font size to a suitable value */
  font-weight: bold; /* Use a bold font weight for emphasis */
  color: #333; /* Set a dark color for better readability */
  /* Add any additional styling as needed */
}

.blog-container {
  width: 100%;
  max-width: 1200px;
  margin-top: 0;
  display: flex;
  flex-direction: row; /* Modifier la direction en "row" Obliger de faire ce Div qui englobe l'image et le contenus afins de placer l'image comme on veut et le contenus a droite*/
  align-items: flex-start;
}

.blog-image {
  width: 100%; /* Pour que l'image occupe toute la largeur du conteneur */
  height: auto; /* Pour conserver le rapport hauteur/largeur */
  max-width: 300px; /* Largeur maximale de l'image */
  margin: -40px auto 0; /* Centre l'image horizontalement */
}

.blog-image img {
  padding: 10px;
  width: 250px;
  height: 350px;
  border-radius: 5px;
  
}
@media (max-width: 438px) { .blog-image img {
  display: none;
}}
@media (max-width: 768px) {
  .subjectblogsection {
    flex-direction: column; /* Affiche les éléments dans l'ordre normal lorsque l'écran est petit */
  }

  .blog-image img {
    max-width: 200px; /* Réduit la largeur de l'image pour s'adapter à l'écran */
  }
}

.blog-content {
  font-size: 18px;
  line-height: 1.6;
}
.blog-content  a{
  color: #152238;
  
}
.readmore:hover {
  color: var(--orange); /* Couleur du texte au survol */
  cursor: pointer; /* Curseur de la souris qui change en main */
}
.blog-title {
  
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 20px;
}
.progress-container-bottom {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 4px;
  background-color: #f1f1f1;
}

.progress-bar-bottom {
  width: 0;
  height: 100%;
  background-color: #4caf50;
}




/*====================>Contact section starts */


.titre_contact {
  text-align: center; /* Pour centrer le contenu du div */
  width: 100%;
  max-width: 1200px;
  margin-bottom: 15px;
}
.titre_contact span{   /* Le span est un element de ligne, capable d'etre modifier en uppercase et non possible de le centrer comme une div, ftr m */
  text-transform: uppercase;
  color: var(--orange);
  font-size: 21px; 
}

.contact {
  
  width: 90%;
  height: 100%;
  margin-left: 5%;
  background-color:rgb(249,249,249);
  border: 1px solid transparent;
  transition: border-color 0.3s; /* Transition fluide pour le changement de couleur */
  border-radius: 5px;
}
.contact:hover{
  border-color: black; /* Changement de couleur de la bordure au survol */
}
.content_contact {
  font-size: 15px;
  display: flex;
  justify-content: space-between; /* Espacement automatique des éléments */
  align-items: center; /* Centrer verticalement les éléments */

}
#contact-donate{      /* Margin top , j'ai eviter de l'utiliser dans tout les pages because I doubt that he will affect some page , I did it here because the contacr section was in the middle */

  margin-top: auto;
}
.gmail {
  color: black; /* Couleur Gmail */
  margin-left: auto; /* Aligner à droite pour eviter mal placement dans autre appareil */
  margin-right: 200px;
  
  
}

.whatsupnum{
  margin-left: 40px;
}

  /* General styling for the section */
   /* style for section contact 18 janvier 2024*/
  .contact {
    padding: 20px;
    font-family: Arial, sans-serif;
    background-color: #f9f9f9;
    border-radius: 8px;
    max-width: 600px;
    margin: 20px auto;
  }
  
  .titre_contact {
    text-align: center;
    margin-bottom: 10px;
  }
  
  .content_contact {
    margin-top: 20px;
  }
  
  .gmail {
    margin-bottom: 20px;
    font-size: 16px;
  }
  
  /* Styling the form */
  .user_message {
    margin-top: 20px;
  }
  
  form {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
  
  .form-group {
    display: flex;
    flex-direction: column;
  }
  
  label {
    font-size: 14px;
    margin-bottom: 5px;
  }
  
  input[type="email"],
  textarea {
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100%;
    box-sizing: border-box;
  }
  
  textarea {
    resize: vertical;
  }
  
  /* Styling the send button */
  .send-button {
    padding: 10px 15px;
    font-size: 16px;
    color: #fff;
    background-color: #007BFF;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    text-align: center;
  }
  
  .send-button:hover {
    background-color: #0056b3;
  }
  /* style for section contact 18 janvier 2024 end */
@media (max-width: 768px) {
  .content_contact {
    flex-direction: column; /* Passer à une disposition en colonne sur les appareils plus petits */
  }

  .whatsupnum {
    margin-left: 0; /* Réinitialiser la marge à gauche */
    margin-top: 10px; /* Ajouter une marge en haut */
    text-align: center; /* Centrer le texte */
  }
}


/*  le code de pagination que j'ai fourni est conçu pour être adaptable à différents appareils grâce à son utilisation de valeurs relatives et de propriétés CSS adaptatives. Les propriétés telles que padding, float, display: inline-block, et transition sont utilisées pour assurer que la pagination reste lisible et fonctionnelle sur les téléphones, les tablettes et les ordinateurs de bureau.
===========================  footer section
*/
.pagination {
  display: inline-block;
  text-align: center; /* Centrer les éléments à l'intérieur du conteneur */
  width: 100%; /* Assurez-vous que la pagination occupe toute la largeur disponible */
  padding: 10px;
}

.pagination a {
  color: black;
  display: inline-block; /* Afficher les éléments de pagination en ligne */
  padding: 8px 16px;
  text-decoration: none;
  transition: background-color 0.3s;
}

.pagination a.active {
  background-color: #4caf50; /* Couleur verte */
  color: white;
}

.pagination a:hover:not(.active) {
  background-color: #9ace86; /* Couleur de fond de survol */
}



.footer .box-container{
  border:.1rem solid rgba(0,0,0,.1);
  border-radius: .5rem;
  background:#f9f9f9;
  padding:2rem;
  display: flex;
  flex-wrap: wrap;
  gap:1.5rem;
}

.footer .box-container .box{
  flex:1 1 20rem;
}

.footer .box-container .box h3{
  color:var(--black);
  font-size: 2.5rem;
  padding-bottom: 1.5rem;
}

.footer .box-container .box a{
  color:#666;
  font-size: 1.5rem;
  padding-bottom: 1.5rem;
  display: block;
}

.footer .box-container .box a:hover{
  color:var(--orange);
}

.footer .box-container .credit{
  text-align: center;
  width:100%;
  border-top: .1rem solid rgba(0,0,0,.1);
  font-size: 1.5rem;
  padding:1rem;
  padding-top: 2rem;
  color:#999;
}

.footer .box-container .credit span{
  color:var(--orange);
}


/* 
===========================   Whatsup buton le css et html a suffit , je ne crois pas que le code javascript
a servit , mais je dois le reviser pour apres , RESTE A AJOUTER LE BOUTON WHATSUP LORSQUE QUE LE CLIENT VEUT ACHETER
*/
.whatsapp-button {
  position: fixed;
  bottom: 15px;
  right: 15px;
  z-index: 99;
  background-color: #25d366;
  border-radius: 50px;
  color: #ffffff;
  text-decoration: none;
  width: 50px;
  height: 50px;
  font-size: 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  -webkit-box-shadow: 0px 0px 25px -6px rgba(0, 0, 0, 1);
  -moz-box-shadow: 0px 0px 25px -6px rgba(0, 0, 0, 1);
  box-shadow: 0px 0px 25px -6px rgba(0, 0, 0, 1);
  animation: effect 5s infinite ease-in;
  transition: transform 0.3s;
}


.whatsapp-button:hover {
  transform: scale(1.2) rotate(10deg); /* Agrandissement de 10% et rotation de 10 degrés au survol */
}
@keyframes effect {
  20%,
  100% {
    width: 50px;
    height: 50px;
    font-size: 30px;
  }
  0%,
  10% {
    width: 55px;
    height: 55px;
    font-size: 35px;
  }
  5% {
    width: 50px;
    height: 50px;
    font-size: 30px;
  }
}
/* 
===========================   Whatsup buton le css et html a suffit , je ne crois pas que le code javascript
a servit , mais je dois le reviser pour apres 
*/
 
/* Laisser cette ID et changer le code , pour ne pas désorganiser le contenus */

#paypal-container-7PVTRSAJ2HUBS {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto; /* Center horizontally */
  max-width: 100%; /* Ensure it doesn't exceed the parent's width */
  margin-bottom: 10px;  /* Mettre Margin bottom en dernier pour que Ca marche, car si c'est en premier, ca vat ajouter de l'espace puis le code suivant vas le centré */
  
}

/* Adjust the size of the PayPal button */
.paypal-button-container iframe {
  max-width: 100%; /* Ensure the iframe doesn't exceed its container's width */
  width: 100%; /* Make the iframe responsive */
  height: auto; /* Ensure the iframe's height adjusts according to its content */
}



















/* 
===================>meadia queries
 */


@media (max-width:991px) {
  html{
    font-size: 55%;
  }
  header{
    padding: 2rem;
  }
  section{
    padding: 2rem;
  }
}

@media (max-width:768px) {
  #menu-bar{
    display: block;
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
  }
  
  header .navbar{
    position: absolute;
    top: 100%;
    left: -120%;
    width: 100%;
    background: #eee;
    border-top: .1rem solid rgba(0, 0, 0, .1);
    transition: all .5s ease ;
    -webkit-transition: all .5s ease ;
    -moz-transition: all .5s ease ;
    -ms-transition: all .5s ease ;
    -o-transition: all .5s ease ;
}
  header .navbar.active{
    left:0;
  }
  header .navbar a{
    font-size: 2rem;
    background-color: #fff;
    border: .1rem solid var(--black);
    border-radius: .5rem;
    -webkit-border-radius: .5rem;
    -moz-border-radius: .5rem;
    -ms-border-radius: .5rem;
    -o-border-radius: .5rem;
    padding: 1.5rem;
    margin: 1.5rem;
    display: block;
    text-align: center;
}
.home .slide-container .slide .image .text{
  width: 60%;
}
.home #prev , .home #next{
  top: 85%
}
}
@media (max-width:400px) {
  html{
    font-size: 50%;
  }
  .home .slide-container .slide .image{
    padding-bottom: 6rem;
  }
  .heading{
    font-size: 3rem;
  }
}